Oracle Application Server Web Cache <= 9.0.4.0 Multiple Vulnerabilities

This script is Copyright (C) 2004-2014 Tenable Network Security, Inc.


Synopsis :

The remote host has an application that is affected by a heap overflow
vulnerability.

Description :

The remote host is running a version of Oracle Application Server Web
Cache version 9.0.4.0 or older. The installed version is affected by a
heap overflow vulnerability. Provided Web Cache is running and
configured to listen on Oracle Application Server Web Cache listener
port and accept requests from any client it may be possible for an
attacker to execute arbitrary code on the remote system.

See also :

http://www.nessus.org/u?ea241a98
http://www.nessus.org/u?78a33ad1

Solution :

See the Oracle advisory referenced in the URL above.

Risk factor :

High / CVSS Base Score : 9.3
(CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C)
CVSS Temporal Score : 7.9
(CVSS2#E:U/RL:U/RC:C)
Public Exploit Available : false

Family: Databases

Nessus Plugin ID: 12126 ()

Bugtraq ID: 9868

CVE ID: CVE-2004-0385